using System;
using System.Collections.Generic;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

// A simple dialog for displaying and selecting the environment variables on a machine.
namespace SSIS2K5.Samples.Utilities.ConfigBatch
{
   public partial class EnvVarWnd : Form
   {
      public string selectedEnvVar = "";

      // Constructor
      public EnvVarWnd()
      {
         // Initialize the dialog box
         InitializeComponent();

         // Get a list of the environment variables
         IDictionary envVarDict = System.Environment.GetEnvironmentVariables();

         // Fill the list box with the names of the Environment Variables
         foreach(DictionaryEntry de in envVarDict )
         {
           // Add an entry for each Environment Variable
           lbEnvVar.Items.Add(de.Key);
         }                  
      }

      // Change the value shown for the Environment Variable
      private void lbEnvVar_SelectedIndexChanged(object sender, EventArgs e)
      {
         selectedEnvVar = (string)lbEnvVar.SelectedItem.ToString();
         tbEnvVarValue.Text = System.Environment.GetEnvironmentVariable(selectedEnvVar).ToString();
      }

      // Just close.
      private void OKButton_Click(object sender, EventArgs e)
      {
         Close();
      }
   }
}