USE master;
GO
DECLARE @db_id int;
SET @db_id = DB_ID(N'SSISSAMPLES');
IF @db_id IS NULL 
BEGIN
-- Get the SQL Server data path
DECLARE @data_path nvarchar(256);
SET @data_path = (SELECT SUBSTRING(physical_name, 1, CHARINDEX(N'master.mdf', LOWER(physical_name)) - 1)
                  FROM master.sys.master_files
                  WHERE database_id = 1 AND file_id = 1);

-- execute the CREATE DATABASE statement 
EXECUTE ('CREATE DATABASE SSISSAMPLES
ON 
( NAME = SSISSAMPLES_dat,
    FILENAME = '''+ @data_path + 'SSISSAMPLESdat.mdf'',
    SIZE = 10,
    MAXSIZE = 50,
    FILEGROWTH = 5 )
LOG ON
( NAME = SSISSAMPLES_log,
    FILENAME = '''+ @data_path + 'SSISSAMPLESlog.ldf'',
    SIZE = 5MB,
    MAXSIZE = 25MB,
    FILEGROWTH = 5MB )'
);
END
GO