using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;
using System.Drawing.Design;

namespace SSIS2K5.Samples.Tasks.ExpressionTask
{
	[System.Security.Permissions.PermissionSetAttribute(System.Security.Permissions.SecurityAction.InheritanceDemand, Name = "FullTrust")]
	[System.Security.Permissions.PermissionSetAttribute(System.Security.Permissions.SecurityAction.LinkDemand, Name = "FullTrust")]

	/// <summary>
	/// This class is the UITypoeEditor for the Expression property
	/// </summary>
	internal class ExpressionEditor : System.Drawing.Design.UITypeEditor
	{
		public ExpressionEditor() { }

		public override UITypeEditorEditStyle GetEditStyle(ITypeDescriptorContext context)
		{
			//We want to have a "..." button next to the property
			return UITypeEditorEditStyle.Modal;
		}

		public override object EditValue(ITypeDescriptorContext context, IServiceProvider provider, object value)
		{
			object returnValue = value;

			if (context != null && context.Instance != null)
			{
				GeneralNode generalNode = context.Instance as GeneralNode;

				if (generalNode != null)
				{
					using (ExpressionUIWnd expressionEditor = new ExpressionUIWnd(generalNode.taskHost))
					{
						expressionEditor.ShowDialog();

						returnValue = ((Tasks.ExpressionTask.ExpressionTask)generalNode.taskHost.InnerObject).Expression;
					}
				}
			}

			return returnValue;
		}
	}
}
